/**
 * 封装请求方式
 * @author Rockery(1113269755@qq.com)
 */
import request from '@/utils/request';

export default {
  async default(url, param, method) {
    const res = await request(url, param, method)
    return res;
  },
  async post(url, param) {
    const res = await request(url, param, 'post')
    return res;
  },
  async get(url, param) {
    const res = await request(url, param, 'get')
    return res;
  },
  async put(url, param) {
    const res = await request(url, param, 'put')
    return res;
  },
  async delete(url, param) {
    const res = await request(url, param, 'delete')
    return res;
  }
}
